API - GraphQL
- Utilizzo delle API GraphQL
- GraphQL - Queries
- GraphQL - Mutations
- GraphQL - Objects
- GraphQL - Enums
- GraphQL - Input objects
- GraphQL - Scalars
Utilizzo delle API GraphQL
Riseact fornisce un set di APIs GraphQL per consentire agli sviluppatori di interagire con le risorse di Riseact. Queste APIs sono disponibili per tutti gli sviluppatori che hanno creato un'applicazione su Riseact.
Per poter utilizzare le APIs GraphQL di Riseact, è necessario ottenere un Access Token attraverso i processi descritti in questa pagina.
Una volta ottenuto un token, puoi utilizzare le APIs GraphQL per interagire con le risorse di Riseact. Per ulteriori informazioni, consulta la pagina Risorse di Riseact e la pagina di references delle API GraphQL.
Esempio di utilizzo
curl 'https://core.riseact.org/admin/graphql/' \
-H 'authorization: Bearer <YOUR TOKEN>' \
--data-raw '{"query":"query Organization {\n organization {\n name\n domain\n }\n}","variables":{},"operationName":"Organization"}'
Contenuto importato da https://dev.riseact.org/docs/apis/graphql-api-usage il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia.
GraphQL - Queries
activities
Type: ActivityConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersActivityFilters |
activity
Type: Activity!
Arguments
| Name | Description |
|---|---|
idInt! |
article
Type: Article!
Arguments
| Name | Description |
|---|---|
idInt! |
articles
Type: ArticleConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersArticlesFiltersInput |
blog
Type: Blog!
Arguments
| Name | Description |
|---|---|
idInt! |
blogs
Type: BlogConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersBlogsFiltersInput |
campaign
Type: Campaign!
Arguments
| Name | Description |
|---|---|
idInt! |
campaignComment
Type: CampaignComment!
Arguments
| Name | Description |
|---|---|
idInt! |
campaignComments
Type: CampaignCommentConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersCampaignCommentsFilters |
campaigns
Type: CampaignConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersCampaignFilters |
campaignTags
Type: StrConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
qString |
checkout
Type: Checkout!
Arguments
| Name | Description |
|---|---|
tokenString! |
checkouts
Type: CheckoutConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersCheckoutFilters |
checkoutsAbandoned
Type: CheckoutConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersCheckoutFilters |
checkoutsAdminGenerated
Type: CheckoutConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersCheckoutFilters |
customfieldDefinition
Type: CustomFieldDefinition!
Arguments
| Name | Description |
|---|---|
idInt! |
customfieldDefinitions
Type: [CustomFieldDefinition!]!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersCustomFieldFilters |
donation
Type: Donation!
Arguments
| Name | Description |
|---|---|
idInt! |
donations
Type: DonationConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersDonationFiltersInput |
donationTags
Type: StrConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
qString |
manualPaymentMethod
Type: PaymentMethod!
Arguments
| Name | Description |
|---|---|
idInt! |
manualPaymentMethods
Type: [PaymentMethod!]!
media
Type: MediaConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput |
mediaSingle
Type: Media!
Arguments
| Name | Description |
|---|---|
idInt! |
menu
Arguments
| Name | Description |
|---|---|
idInt! |
menuByHandle
Arguments
| Name | Description |
|---|---|
handleString! |
menus
organization
Type: Organization!
organizations
Type: [Organization!]!
Arguments
| Name | Description |
|---|---|
filtersOrganizationsFilters |
owner
Type: Staff!
page
Type: Page!
Arguments
| Name | Description |
|---|---|
idInt! |
pages
Type: PageConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersPagesFiltersInput |
payment
Type: Payment!
Arguments
| Name | Description |
|---|---|
idInt! |
paymentMethods
Type: [PaymentMethod!]!
payments
Type: PaymentConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersPaymentFiltersInput |
peerCampaign
Type: PeerCampaign!
Arguments
| Name | Description |
|---|---|
idInt! |
peerCampaigns
Type: PeerCampaignConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersPeerCampaignFilters |
privacyDefinition
Type: PrivacyDefinition!
Arguments
| Name | Description |
|---|---|
idInt! |
privacyDefinitions
Type: PrivacyDefinitionConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersPrivacyDefinitionFilters |
project
Type: Project!
Arguments
| Name | Description |
|---|---|
idInt! |
projects
Type: ProjectConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersProjectFilters |
redirect
Type: Redirect!
Arguments
| Name | Description |
|---|---|
idInt! |
redirects
Type: RedirectConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersRedirectsFiltersInput |
segment
Type: Segment!
Arguments
| Name | Description |
|---|---|
idInt! |
segments
Type: SegmentConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersSegmentFiltersInput |
stripe
Type: StripeAccount
stripeCustomerCards
Type: [StripeCard!]!
Arguments
| Name | Description |
|---|---|
stripeCustomerIdString! |
sumupAccount
Type: SumUpAccount
supporter
Type: Supporter!
Arguments
| Name | Description |
|---|---|
idInt! |
supporters
Type: SupporterConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
filtersSupporterFiltersInput |
supporterTags
Type: StrConnection!
Arguments
| Name | Description |
|---|---|
paginationPaginationInput | |
qString |
terminal
Type: StripeTerminal!
Arguments
| Name | Description |
|---|---|
idString! |
terminalLocation
Type: StripeTerminalLocation!
Arguments
| Name | Description |
|---|---|
idString! |
terminalLocations
Type: [StripeTerminalLocation!]!
Arguments
| Name | Description |
|---|---|
filtersTerminalLocationFilters |
terminals
Type: [StripeTerminal!]!
terminalsByLocation
Type: [StripeTerminal!]!
Arguments
| Name | Description |
|---|---|
locationIdString! |
Contenuto importato da https://dev.riseact.org/docs/graphql-references/queries il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia.
GraphQL - Mutations
activityCreate
Type: ActivityResponse!
Arguments
| Name | Description |
|---|---|
dataActivityCreateInput! |
activityDelete
Type: ActivityResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
activityDone
Type: ActivityResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
activityUndone
Type: ActivityResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
activityUpdate
Type: ActivityResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataActivityUpdateInput! |
articlesCreate
Type: ArticlesResponse!
Arguments
| Name | Description |
|---|---|
dataArticleInput! |
articlesDelete
Type: ArticlesResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
articlesUpdate
Type: ArticlesResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataArticleInput! |
blogsCreate
Type: BlogsResponse!
Arguments
| Name | Description |
|---|---|
dataBlogInput! |
blogsDelete
Type: BlogsResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
blogsUpdate
Type: BlogsResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataBlogInput! |
campaignCommentCreate
Type: CampaignCommentResponse!
Arguments
| Name | Description |
|---|---|
dataCampaignCommentCreateInput! |
campaignCommentDelete
Type: CampaignCommentResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
campaignCommentUpdate
Type: CampaignCommentResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataCampaignCommentUpdateInput! |
campaignCreate
Type: CampaignResponse!
Arguments
| Name | Description |
|---|---|
dataCampaignInput! |
campaignDelete
Type: CampaignResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
campaignDuplicate
Type: CampaignResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
campaignUpdate
Type: CampaignResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataCampaignInput! |
checkoutComplete
Type: CheckoutResponse!
Arguments
| Name | Description |
|---|---|
tokenString! | |
dataCheckoutCompleteInput! |
checkoutCreate
Type: CheckoutResponse!
Arguments
| Name | Description |
|---|---|
dataCheckoutInput! |
checkoutRegisterPayment
Type: CheckoutResponse!
Arguments
| Name | Description |
|---|---|
tokenString! | |
dataCheckoutPaymentInput! |
checkoutSendRecoveryEmail
Type: CheckoutResponse!
Arguments
| Name | Description |
|---|---|
tokenString! |
checkoutUpdate
Type: CheckoutResponse!
Arguments
| Name | Description |
|---|---|
tokenString! | |
dataCheckoutInput! |
customfieldDefinitionCreate
Type: CustomFieldDefinitionResponse!
Arguments
| Name | Description |
|---|---|
dataCustomFieldDefinitionCreateInput! |
customfieldDefinitionDelete
Type: CustomFieldDefinitionResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
customfieldDefinitionUpdate
Type: CustomFieldDefinitionResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataCustomFieldDefinitionUpdateInput! |
donationDelete
Type: Donation!
Arguments
| Name | Description |
|---|---|
idInt! |
donationExport
Type: String!
Arguments
| Name | Description |
|---|---|
formatExportFormat! | |
domainDonationDomain! |
donationImport
Type: Task!
Arguments
| Name | Description |
|---|---|
fileUpload! | |
createMissingCampaignsBoolean! | |
createMissingPaymentMethodBoolean! | |
importAnonymousPaymentsBoolean! | |
fallbackCampaignIdInt |
donationReceiptSend
Type: Boolean!
Arguments
| Name | Description |
|---|---|
idInt! |
donationRegisterPayment
Type: DonationResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataDonationPaymentInput! |
donationRevoke
Type: Donation!
Arguments
| Name | Description |
|---|---|
idInt! |
donationUpdate
Type: Donation!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataDonationInput! |
manualPaymentMethodCreate
Type: PaymentMethodResponse!
Arguments
| Name | Description |
|---|---|
dataManualPaymentMethodInput! |
manualPaymentMethodDelete
Type: PaymentMethodResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
manualPaymentMethodUpdate
Type: PaymentMethodResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataManualPaymentMethodInput! |
mediaCreate
Type: Media!
Arguments
| Name | Description |
|---|---|
fileUpload! |
mediaDelete
Type: MediaResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
menuCreate
Arguments
| Name | Description |
|---|---|
dataMenuInput! |
menuDelete
Arguments
| Name | Description |
|---|---|
idInt! |
menuUpdate
Arguments
| Name | Description |
|---|---|
idInt! | |
dataMenuInput! |
organizationUpdate
Type: OrganizationResponse!
Arguments
| Name | Description |
|---|---|
dataOrganizationInput! |
organizationUpdateLegalData
Type: OrganizationResponse!
Arguments
| Name | Description |
|---|---|
dataOrganizationLegalInput! |
pagesCreate
Type: PagesResponse!
Arguments
| Name | Description |
|---|---|
dataPageInput! |
pagesDelete
Type: PagesResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
pagesUpdate
Type: PagesResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataPageInput! |
paymentExport
Type: String!
Arguments
| Name | Description |
|---|---|
formatExportFormat! | |
domainPaymentDomain! |
paymentRefund
Type: PaymentResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
paymentUpdate
Type: PaymentResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataManualPaymentInput! |
peerCampaignCreate
Type: PeerCampaignResponse!
Arguments
| Name | Description |
|---|---|
dataPeerCampaignInput! |
peerCampaignDelete
Type: PeerCampaignResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
peerCampaignUpdate
Type: PeerCampaignResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataPeerCampaignInput! |
privacyDefinitionCreate
Type: PrivacyDefinitionResponse!
Arguments
| Name | Description |
|---|---|
dataPrivacyDefinitionCreateInput! |
privacyDefinitionDelete
Type: PrivacyDefinitionResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
privacyDefinitionUpdate
Type: PrivacyDefinitionResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataPrivacyDefinitionUpdateInput! |
projectCreate
Type: ProjectResponse!
Arguments
| Name | Description |
|---|---|
dataProjectInput! |
projectDelete
Type: ProjectResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
projectRemoveItem
Type: ProjectResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
campaignIdInt! |
projectUpdate
Type: ProjectResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataProjectInput! |
projectUpdateItems
Type: ProjectResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
campaignIds[Int!]! |
redirectsCreate
Type: RedirectResponse!
Arguments
| Name | Description |
|---|---|
dataRedirectInput! |
redirectsDelete
Type: RedirectResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
redirectsUpdate
Type: RedirectResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataRedirectInput! |
satispayPaymentCreate
Type: SatispayPaymentResponse!
Arguments
| Name | Description |
|---|---|
checkoutTokenString! |
segmentCreate
Type: SegmentResponse!
Arguments
| Name | Description |
|---|---|
dataSegmentInput! |
segmentDelete
Type: SegmentResponse!
Arguments
| Name | Description |
|---|---|
idInt! |
segmentUpdate
Type: SegmentResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataSegmentInput! |
stripeActivate
Type: StripeAccount!
stripeCheckoutIntentCreate
Type: StripeCheckoutResponse!
Arguments
| Name | Description |
|---|---|
checkoutTokenString! | |
paymentTypesStripePaymentTypeInput! |
stripeGenerateDashboardLink
Type: StripeLink!
stripeGenerateOnboardingLink
Type: StripeLink!
stripeTerminalCheckoutIntentCreate
Type: StripeCheckoutResponse!
Arguments
| Name | Description |
|---|---|
checkoutTokenString! |
sumupAccountCreate
Type: SumUpAccount!
Arguments
| Name | Description |
|---|---|
dataSumUpAccountInput! |
sumupAccountUpdate
Type: SumUpAccount!
Arguments
| Name | Description |
|---|---|
dataSumUpAccountInput! |
supporterBulkTags
Type: Boolean!
Arguments
| Name | Description |
|---|---|
actionSupporterBulkTagAction! | |
filtersSupporterFiltersInput! | |
tags[String!]! |
supporterCreate
Type: Supporter!
Arguments
| Name | Description |
|---|---|
dataSupporterInput! |
supporterDelete
Type: Supporter!
Arguments
| Name | Description |
|---|---|
idInt! |
supporterExport
Type: String!
Arguments
| Name | Description |
|---|---|
formatExportFormat! | |
domainSupporterDomain! |
supporterImport
Type: Task!
Arguments
| Name | Description |
|---|---|
fileUpload! | |
overrideSupportersBoolean! |
supporterMerge
Type: Supporter!
Arguments
| Name | Description |
|---|---|
masterIdInt! | |
duplicatesIds[Int!]! | |
dataSupporterInput! |
supporterRemovePrivacy
Type: SupporterResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
codeString! |
supporterSendTaxCertificate
Type: Supporter!
Arguments
| Name | Description |
|---|---|
idInt! | |
methodNotificationMethods! |
supporterSetPrivacy
Type: SupporterResponse!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataSupporterPrivacyInput! |
supporterUpdate
Type: Supporter!
Arguments
| Name | Description |
|---|---|
idInt! | |
dataSupporterInput! |
terminalConnectionTokenCreate
Type: String!
Arguments
| Name | Description |
|---|---|
locationIdString |
terminalDelete
Type: String!
Arguments
| Name | Description |
|---|---|
idString! |
terminalLocationCreate
Type: StripeTerminalLocation!
Arguments
| Name | Description |
|---|---|
dataTerminalLocationInput! |
terminalLocationDelete
Type: Void
Arguments
| Name | Description |
|---|---|
idString! |
terminalLocationUpdate
Type: StripeTerminalLocation!
Arguments
| Name | Description |
|---|---|
idString! | |
dataTerminalLocationInput! |
terminalRegister
Type: StripeTerminal!
Arguments
| Name | Description |
|---|---|
dataTerminalRegisterInput! |
terminalUpdateLabel
Type: StripeTerminal!
Arguments
| Name | Description |
|---|---|
idString! | |
labelString! |
Contenuto importato da https://dev.riseact.org/docs/graphql-references/mutations il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia.
GraphQL - Objects
AccessToken
Fields
| Name | Description |
|---|---|
tokenString! |
Activity
Fields
| Name | Description |
|---|---|
idInt! | |
createDateDateTime! | |
updateDateDateTime! | |
categoryActivityCategory! | |
deadlineDateDate | |
doneDateDate | |
noteString | |
staffActivityStaff! |
ActivityConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[ActivityEdge!]! |
ActivityEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeActivity! |
ActivityResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
activityActivity |
ActivityStaff
Fields
| Name | Description |
|---|---|
idInt! | |
nameString! | |
emailString! |
Application
Fields
| Name | Description |
|---|---|
idInt! | |
nameString! | |
descriptionString | |
logoUrlString | |
typeApplicationType! | |
appUrlString | |
installUrlString | |
authorNameString | |
authorHomepageUrlString | |
authorEmailString | |
isEmbeddedBoolean! | |
permissions[StaffPermission!]! | |
clientIdString! | |
clientSecretString! | |
partnerString | |
accessTokenAccessToken! | |
isInstalledBoolean! |
AppMutation
Fields
| Name | Description | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
articlesCreateArticlesResponse! | Arguments
| ||||||||||||
articlesUpdateArticlesResponse! | Arguments
| ||||||||||||
articlesDeleteArticlesResponse! | Arguments
| ||||||||||||
activityCreateActivityResponse! | Arguments
| ||||||||||||
activityDoneActivityResponse! | Arguments
| ||||||||||||
activityUndoneActivityResponse! | Arguments
| ||||||||||||
activityUpdateActivityResponse! | Arguments
| ||||||||||||
activityDeleteActivityResponse! | Arguments
| ||||||||||||
blogsCreateBlogsResponse! | Arguments
| ||||||||||||
blogsUpdateBlogsResponse! | Arguments
| ||||||||||||
blogsDeleteBlogsResponse! | Arguments
| ||||||||||||
campaignCreateCampaignResponse! | Arguments
| ||||||||||||
campaignDuplicateCampaignResponse! | Arguments
| ||||||||||||
campaignUpdateCampaignResponse! | Arguments
| ||||||||||||
campaignDeleteCampaignResponse! | Arguments
| ||||||||||||
campaignCommentCreateCampaignCommentResponse! | Arguments
| ||||||||||||
campaignCommentUpdateCampaignCommentResponse! | Arguments
| ||||||||||||
campaignCommentDeleteCampaignCommentResponse! | Arguments
| ||||||||||||
peerCampaignCreatePeerCampaignResponse! | Arguments
| ||||||||||||
peerCampaignUpdatePeerCampaignResponse! | Arguments
| ||||||||||||
peerCampaignDeletePeerCampaignResponse! | Arguments
| ||||||||||||
checkoutCreateCheckoutResponse! | Arguments
| ||||||||||||
checkoutUpdateCheckoutResponse! | Arguments
| ||||||||||||
checkoutCompleteCheckoutResponse! | Arguments
| ||||||||||||
checkoutRegisterPaymentCheckoutResponse! | Arguments
| ||||||||||||
checkoutSendRecoveryEmailCheckoutResponse! | Arguments
| ||||||||||||
donationUpdateDonation! | Arguments
| ||||||||||||
donationExportString! | Arguments
| ||||||||||||
donationReceiptSendBoolean! | Arguments
| ||||||||||||
donationRegisterPaymentDonationResponse! | Arguments
| ||||||||||||
donationImportTask! | Arguments
| ||||||||||||
donationRevokeDonation! | Arguments
| ||||||||||||
donationDeleteDonation! | Arguments
| ||||||||||||
mediaCreateMedia! | Arguments
| ||||||||||||
mediaDeleteMediaResponse! | Arguments
| ||||||||||||
menuCreateMenuResponse! | Arguments
| ||||||||||||
menuUpdateMenuResponse! | Arguments
| ||||||||||||
menuDeleteMenuResponse! | Arguments
| ||||||||||||
organizationUpdateOrganizationResponse! | Arguments
| ||||||||||||
organizationUpdateLegalDataOrganizationResponse! | Arguments
| ||||||||||||
terminalLocationCreateStripeTerminalLocation! | Arguments
| ||||||||||||
terminalLocationUpdateStripeTerminalLocation! | Arguments
| ||||||||||||
terminalLocationDeleteVoid | Arguments
| ||||||||||||
terminalRegisterStripeTerminal! | Arguments
| ||||||||||||
terminalUpdateLabelStripeTerminal! | Arguments
| ||||||||||||
terminalDeleteString! | Arguments
| ||||||||||||
terminalConnectionTokenCreateString! | Arguments
| ||||||||||||
pagesCreatePagesResponse! | Arguments
| ||||||||||||
pagesUpdatePagesResponse! | Arguments
| ||||||||||||
pagesDeletePagesResponse! | Arguments
| ||||||||||||
manualPaymentMethodCreatePaymentMethodResponse! | Arguments
| ||||||||||||
manualPaymentMethodUpdatePaymentMethodResponse! | Arguments
| ||||||||||||
manualPaymentMethodDeletePaymentMethodResponse! | Arguments
| ||||||||||||
paymentExportString! | Arguments
| ||||||||||||
paymentUpdatePaymentResponse! | Arguments
| ||||||||||||
paymentRefundPaymentResponse! | Arguments
| ||||||||||||
satispayPaymentCreateSatispayPaymentResponse! | Arguments
| ||||||||||||
projectCreateProjectResponse! | Arguments
| ||||||||||||
projectUpdateProjectResponse! | Arguments
| ||||||||||||
projectUpdateItemsProjectResponse! | Arguments
| ||||||||||||
projectRemoveItemProjectResponse! | Arguments
| ||||||||||||
projectDeleteProjectResponse! | Arguments
| ||||||||||||
supporterCreateSupporter! | Arguments
| ||||||||||||
supporterUpdateSupporter! | Arguments
| ||||||||||||
supporterDeleteSupporter! | Arguments
| ||||||||||||
supporterSendTaxCertificateSupporter! | Arguments
| ||||||||||||
supporterImportTask! | Arguments
| ||||||||||||
supporterBulkTagsBoolean! | Arguments
| ||||||||||||
supporterExportString! | Arguments
| ||||||||||||
supporterMergeSupporter! | Arguments
| ||||||||||||
supporterSetPrivacySupporterResponse! | Arguments
| ||||||||||||
supporterRemovePrivacySupporterResponse! | Arguments
| ||||||||||||
segmentCreateSegmentResponse! | Arguments
| ||||||||||||
segmentUpdateSegmentResponse! | Arguments
| ||||||||||||
segmentDeleteSegmentResponse! | Arguments
| ||||||||||||
stripeActivateStripeAccount! | |||||||||||||
stripeGenerateOnboardingLinkStripeLink! | |||||||||||||
stripeGenerateDashboardLinkStripeLink! | |||||||||||||
stripeCheckoutIntentCreateStripeCheckoutResponse! | Arguments
| ||||||||||||
stripeTerminalCheckoutIntentCreateStripeCheckoutResponse! | Arguments
| ||||||||||||
sumupAccountCreateSumUpAccount! | Arguments
| ||||||||||||
sumupAccountUpdateSumUpAccount! | Arguments
| ||||||||||||
redirectsCreateRedirectResponse! | Arguments
| ||||||||||||
redirectsUpdateRedirectResponse! | Arguments
| ||||||||||||
redirectsDeleteRedirectResponse! | Arguments
| ||||||||||||
customfieldDefinitionCreateCustomFieldDefinitionResponse! | Arguments
| ||||||||||||
customfieldDefinitionUpdateCustomFieldDefinitionResponse! | Arguments
| ||||||||||||
customfieldDefinitionDeleteCustomFieldDefinitionResponse! | Arguments
| ||||||||||||
privacyDefinitionCreatePrivacyDefinitionResponse! | Arguments
| ||||||||||||
privacyDefinitionUpdatePrivacyDefinitionResponse! | Arguments
| ||||||||||||
privacyDefinitionDeletePrivacyDefinitionResponse! | Arguments
|
AppQuery
Fields
| Name | Description | ||||||
|---|---|---|---|---|---|---|---|
activitiesActivityConnection! | Arguments
| ||||||
activityActivity! | Arguments
| ||||||
articlesArticleConnection! | Arguments
| ||||||
articleArticle! | Arguments
| ||||||
blogsBlogConnection! | Arguments
| ||||||
blogBlog! | Arguments
| ||||||
campaignsCampaignConnection! | Arguments
| ||||||
campaignCampaign! | Arguments
| ||||||
campaignTagsStrConnection! | Arguments
| ||||||
campaignCommentsCampaignCommentConnection! | Arguments
| ||||||
campaignCommentCampaignComment! | Arguments
| ||||||
peerCampaignsPeerCampaignConnection! | Arguments
| ||||||
peerCampaignPeerCampaign! | Arguments
| ||||||
checkoutsCheckoutConnection! | Arguments
| ||||||
checkoutsAbandonedCheckoutConnection! | Arguments
| ||||||
checkoutsAdminGeneratedCheckoutConnection! | Arguments
| ||||||
checkoutCheckout! | Arguments
| ||||||
donationsDonationConnection! | Arguments
| ||||||
donationDonation! | Arguments
| ||||||
donationTagsStrConnection! | Arguments
| ||||||
mediaMediaConnection! | Arguments
| ||||||
mediaSingleMedia! | Arguments
| ||||||
menus[Menu!]! | |||||||
menuMenu! | Arguments
| ||||||
menuByHandleMenu! | Arguments
| ||||||
organizations[Organization!]! | Arguments
| ||||||
organizationOrganization! | |||||||
ownerStaff! | |||||||
pagesPageConnection! | Arguments
| ||||||
pagePage! | Arguments
| ||||||
paymentMethods[PaymentMethod!]! | |||||||
manualPaymentMethods[PaymentMethod!]! | |||||||
manualPaymentMethodPaymentMethod! | Arguments
| ||||||
paymentsPaymentConnection! | Arguments
| ||||||
paymentPayment! | Arguments
| ||||||
projectsProjectConnection! | Arguments
| ||||||
projectProject! | Arguments
| ||||||
supportersSupporterConnection! | Arguments
| ||||||
supporterSupporter! | Arguments
| ||||||
supporterTagsStrConnection! | Arguments
| ||||||
segmentsSegmentConnection! | Arguments
| ||||||
segmentSegment! | Arguments
| ||||||
terminalLocations[StripeTerminalLocation!]! | Arguments
| ||||||
terminalLocationStripeTerminalLocation! | Arguments
| ||||||
terminals[StripeTerminal!]! | |||||||
terminalsByLocation[StripeTerminal!]! | Arguments
| ||||||
terminalStripeTerminal! | Arguments
| ||||||
stripeStripeAccount | |||||||
stripeCustomerCards[StripeCard!]! | Arguments
| ||||||
sumupAccountSumUpAccount | |||||||
redirectsRedirectConnection! | Arguments
| ||||||
redirectRedirect! | Arguments
| ||||||
customfieldDefinitions[CustomFieldDefinition!]! | Arguments
| ||||||
customfieldDefinitionCustomFieldDefinition! | Arguments
| ||||||
privacyDefinitionsPrivacyDefinitionConnection! | Arguments
| ||||||
privacyDefinitionPrivacyDefinition! | Arguments
|
Article
Fields
| Name | Description |
|---|---|
idInt! | |
titleString! | |
contentString | |
visibilityWebDocumentVisibility! | |
slugString! | |
urlString! | |
seoTitleString | |
templateString | |
seoDescriptionString | |
createDateDateTime! | |
updateDateDateTime! | |
sitefrontUrlString! | |
blogBlog! | |
coverMedia |
ArticleConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[ArticleEdge!]! |
ArticleEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeArticle! |
ArticlesResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
articleArticle |
Blog
Fields
| Name | Description |
|---|---|
idInt! | |
titleString! | |
contentString | |
visibilityWebDocumentVisibility! | |
slugString! | |
urlString! | |
seoTitleString | |
templateString | |
seoDescriptionString | |
createDateDateTime! | |
updateDateDateTime! | |
sitefrontUrlString! | |
coverMedia |
BlogConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[BlogEdge!]! |
BlogEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeBlog! |
BlogsResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
blogBlog |
Campaign
Fields
| Name | Description |
|---|---|
idInt! | |
titleString! | |
contentString | |
visibilityWebDocumentVisibility! | |
slugString! | |
urlString! | |
seoTitleString | |
templateString | |
seoDescriptionString | |
createDateDateTime! | |
updateDateDateTime! | |
typeCampaignType! | |
goalFloat | |
noteString | |
tags[String!]! | |
allowPeerToPeerBoolean | |
isGoalEnabledBoolean! | |
costExamples[CostExample!]! | |
excludedChannels[Int!]! | |
thankyouTemplateString | |
receiptNotificationIdInt | |
hasOneOffBoolean! | |
hasSubscriptionBoolean! | |
hasSubscriptionCustomOptionsBoolean! | |
allowCustomAmountBoolean! | |
allowCustomSubscriptionAmountBoolean! | |
defaultAmountFloat | |
defaultSubscriptionAmountFloat | |
minAmountFloat | |
maxAmountFloat | |
minSubscriptionAmountFloat | |
maxSubscriptionAmountFloat | |
asks[Float!]! | |
asksSubscription[Float!]! | |
shownFields[String!]! | |
requiredFields[String!]! | |
privacyNoteString | |
sitefrontUrlString! | |
privacyFields[PrivacyDefinition!]! | |
coverMedia |
CampaignComment
Fields
| Name | Description |
|---|---|
idInt! | |
createDateDateTime! | |
updateDateDateTime! | |
messageString! | |
statusCampaignCommentStatus! | |
supporterSupporter! | |
campaignCampaign! | |
publicBoolean! | |
anonymousBoolean! | |
peerCampaignPeerCampaign |
CampaignCommentConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[CampaignCommentEdge!]! |
CampaignCommentEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeCampaignComment! |
CampaignCommentResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
commentCampaignComment |
CampaignConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[CampaignEdge!]! |
CampaignEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeCampaign! |
CampaignResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
campaignCampaign |
Checkout
Fields
| Name | Description |
|---|---|
idInt! | |
tokenString! | |
stateCheckoutState! | |
errorMessageString | |
completedDateDateTime | |
supporterBusinessNameString | |
supporterFirstNameString | |
supporterLastNameString | |
supporterTypeString | |
supporterEmailString | |
supporterPhoneString | |
supporterMobileString | |
supporterSexString | |
supporterDateOfBirthDate | |
supporterPlaceOfBirthString | |
supporterSsnString | |
supporterVatString | |
supporterAddressString | |
supporterAddress2String | |
supporterCityString | |
supporterLocalityString | |
supporterCountryString | |
supporterPostalCodeString | |
supporterPrivacyBoolean | |
supporterEmailMarketingBoolean | |
supporterPhoneMarketingBoolean | |
supporterPrivacyValuesBoolean | |
donationAmountFloat | |
donationFrequencyFrequency | |
costExampleQuantityInt! | |
recoveryMailSentDateDateTime | |
applicationMetadataJSON | |
tags[String!]! | |
createDateDateTime! | |
updateDateDateTime! | |
supporterFullnameString! | |
campaignCampaign! | |
peerCampaignPeerCampaign | |
enabledPaymentMethods[PaymentMethod!]! | |
supporterSupporter | |
donationDonation | |
checkoutUrlString! | |
applicationApplication |
CheckoutConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[CheckoutEdge!]! |
CheckoutEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeCheckout! |
CheckoutResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
checkoutCheckout |
CostExample
Fields
| Name | Description |
|---|---|
amountFloat! | |
nameString! | |
descriptionString! | |
uuidString! | |
monitorQuantityBoolean! | |
quantityInt! | |
availableQuantityInt! | |
imageMedia |
Country
Fields
| Name | Description |
|---|---|
nameString! | |
codeString! |
CustomField
Fields
| Name | Description |
|---|---|
keyString! | |
typeCustomFieldType! | |
valueString | |
metaCustomFieldDefinition! |
CustomFieldDefinition
Fields
| Name | Description |
|---|---|
idInt! | |
entityCustomFieldEntity! | |
nameString! | |
keyString! | |
descriptionString | |
typeCustomFieldType! | |
positionInt! | |
options[String!] | |
archivedBoolean! |
CustomFieldDefinitionResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
customFieldDefinitionCustomFieldDefinition |
Donation
Fields
| Name | Description |
|---|---|
idInt! | |
codeString! | |
stateDonationState! | |
amountFloat! | |
frequencyFrequency | |
noteString | |
completedDateDateTime | |
createDateDateTime! | |
updateDateDateTime! | |
deviceString | |
tags[String!]! | |
isPublicBoolean! | |
costExampleQuantityInt! | |
receiptUrlString | |
campaignCampaign! | |
peerCampaignPeerCampaign | |
costExampleCostExample | |
paymentMethodPaymentMethod | |
supporterSupporter! | |
checkoutCheckout | |
totalPaymentsInt! | |
totalPaidFloat! | |
customfields[CustomField!]! |
DonationConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[DonationEdge!]! |
DonationEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeDonation! |
DonationResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
donationDonation |
Media
Fields
| Name | Description |
|---|---|
idInt! | |
nameString! | |
urlString! | |
heightInt! | |
widthInt! | |
sizeInt! | |
createDateString! | |
altString! | |
squareString! | |
smallString! | |
mediumString! |
MediaConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[MediaEdge!]! |
MediaEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeMedia! |
MediaResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
mediaMedia |
Menu
Fields
| Name | Description |
|---|---|
idInt! | |
nameString! | |
handleString! | |
items[MenuItem!]! |
MenuItem
Fields
| Name | Description |
|---|---|
idInt! | |
labelString! | |
linkString! | |
typeMenuItemType! |
MenuResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
menuMenu |
Organization
Fields
| Name | Description |
|---|---|
idInt! | |
referenceString! | |
nameString! | |
currencyCurrencies! | |
domainString! | |
contactEmailString | |
senderEmailString | |
legalNameString | |
isInvoiceRequiredBoolean | |
vatString | |
vatExchangeString | |
taxIdentificationNumberString | |
contactPhoneString | |
addressLine1String | |
addressLine2String | |
cityString | |
stateString | |
postalCodeString | |
countryCountry | |
tosString | |
consentScopes[String!]! | |
privacyPolicyString | |
baseSitefrontUrlString! | |
planTypeBillingPlanType | |
annualCertificateAutoSendBoolean! | |
annualCertificateSendMonthInt! | |
annualCertificateSendDayInt! | |
annualCertificateLastSentYearInt | |
onboardingStatusOnboardingStatus! | |
sitefrontUrlString! | |
logoMedia | |
senderEmailStatusOrganizationSenderEmailStatus! | |
ownerUser! | |
jwtPassKeyString! |
OrganizationResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
organizationOrganization |
OrganizationSenderEmailStatus
Fields
| Name | Description |
|---|---|
spfBoolean! | |
spfValueString | |
dkimBoolean! | |
dkimValueString | |
verifiedBoolean! | |
verificationStringString | |
readyToSendBoolean |
Page
Fields
| Name | Description |
|---|---|
idInt! | |
titleString! | |
contentString | |
visibilityWebDocumentVisibility! | |
slugString! | |
urlString! | |
seoTitleString | |
templateString | |
seoDescriptionString | |
createDateDateTime! | |
updateDateDateTime! | |
sitefrontUrlString! | |
coverMedia |
PageConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[PageEdge!]! |
PageEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodePage! |
PageInfo
Fields
| Name | Description |
|---|---|
hasNextPageBoolean! | |
hasPreviousPageBoolean! | |
startCursorString | |
endCursorString | |
totalInt! |
PagesResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
pagePage |
Payment
Fields
| Name | Description |
|---|---|
idInt! | |
statePaymentState! | |
amountFloat! | |
paymentDateDateTime | |
stripeIntentIdString | |
createDateDateTime! | |
updateDateDateTime! | |
supporterSupporter | |
donationDonation | |
paymentMethodPaymentMethod | |
netAmountFloat |
PaymentConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[PaymentEdge!]! |
PaymentEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodePayment! |
PaymentMethod
Fields
| Name | Description |
|---|---|
idInt! | |
processorPaymentProcessor! | |
hasOneoffSupportBoolean! | |
hasSubscriptionSupportBoolean! | |
labelString | |
descriptionString | |
instructionsString | |
channels[Int!]! | |
includeInCertificateBoolean! |
PaymentMethodResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
paymentMethodPaymentMethod |
PaymentResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
paymentPayment |
PeerCampaign
Fields
| Name | Description |
|---|---|
idInt! | |
titleString! | |
contentString | |
visibilityWebDocumentVisibility! | |
slugString! | |
urlString! | |
seoTitleString | |
templateString | |
seoDescriptionString | |
createDateDateTime! | |
updateDateDateTime! | |
supporterNameString | |
customMessageString | |
goalFloat | |
isGoalEnabledBoolean! | |
thankyouTemplateString | |
receiptNotificationIdInt | |
sitefrontUrlString! | |
supporterSupporter | |
campaignCampaign |
PeerCampaignConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[PeerCampaignEdge!]! |
PeerCampaignEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodePeerCampaign! |
PeerCampaignResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
peerCampaignPeerCampaign |
PrivacyDefinition
Fields
| Name | Description |
|---|---|
idInt! | |
codeString! | |
labelString! | |
messageString | |
isDefaultBoolean! | |
isRequiredBoolean! | |
consentScopes[String!]! | |
createDateDateTime! | |
updateDateDateTime! |
PrivacyDefinitionConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[PrivacyDefinitionEdge!]! |
PrivacyDefinitionEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodePrivacyDefinition! |
PrivacyDefinitionResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
privacyDefinitionPrivacyDefinition |
Project
Fields
| Name | Description |
|---|---|
idInt! | |
titleString! | |
contentString | |
visibilityWebDocumentVisibility! | |
slugString! | |
urlString! | |
seoTitleString | |
templateString | |
seoDescriptionString | |
createDateDateTime! | |
updateDateDateTime! | |
typeProjectType! | |
rulesMatchProjectRuleMatchType! | |
campaignsOrderProjectCampaignsOrder! | |
coverMedia | |
sitefrontUrlString! | |
rules[ProjectRule!]! | |
items[ProjectCampaignItem!]! |
ProjectCampaignItem
Fields
| Name | Description |
|---|---|
idInt! | |
positionInt! | |
campaignCampaign! |
ProjectConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[ProjectEdge!]! |
ProjectEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeProject! |
ProjectResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
projectProject |
ProjectRule
Fields
| Name | Description |
|---|---|
uuidString! | |
fieldProjectRuleField! | |
operatorProjectRuleOperator! | |
valueString! |
Redirect
Fields
| Name | Description |
|---|---|
idInt! | |
sourcePathString! | |
destinationUrlString! |
RedirectConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[RedirectEdge!]! |
RedirectEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeRedirect! |
RedirectResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
redirectRedirect |
SatispayPaymentResponse
Fields
| Name | Description |
|---|---|
idString | |
codeIdentifierString | |
typeString | |
amountUnitInt | |
currencyString | |
statusString | |
expiredBoolean | |
insertDateString | |
expireDateString | |
descriptionString | |
flowString | |
externalCodeString | |
redirectUrlString |
Segment
Fields
| Name | Description |
|---|---|
idInt! | |
createDateDateTime! | |
updateDateDateTime! | |
nameString! | |
entitySegmentEntity! | |
filtersJSON! |
SegmentConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[SegmentEdge!]! |
SegmentEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeSegment! |
SegmentResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
segmentSegment |
Staff
Fields
| Name | Description |
|---|---|
idInt! | |
userIdInt | |
partnerIdInt | |
nameString | |
emailString! | |
stateStaffStatus! | |
langString! | |
timezoneString! | |
createDateString | |
roleStaffRole! | |
bioString | |
lastLoginDateString | |
isOwnerBoolean! | |
permissions[StaffPermission!]! |
StrConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[StrEdge!]! |
StrEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeString! |
StripeAccount
Fields
| Name | Description |
|---|---|
accountIdString | |
hasOneoffSupportBoolean! | |
hasSubscriptionSupportBoolean! | |
detailsSubmittedBoolean | |
chargesEnabledBoolean | |
pubKeyString! | |
hasSepaEnabledBoolean! |
StripeCard
Fields
| Name | Description |
|---|---|
idString! | |
brandStripeCardBrand! | |
countryString! | |
expMonthInt! | |
expYearInt! | |
fingerprintString! | |
fundingStripeCardFunding! | |
last4String! |
StripeCheckoutIntent
Fields
| Name | Description |
|---|---|
clientSecretString! |
StripeCheckoutResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
checkoutStripeCheckoutIntent |
StripeLink
Fields
| Name | Description |
|---|---|
urlString! |
StripeTerminal
Fields
| Name | Description |
|---|---|
idString! | |
labelString! | |
serialNumberString! | |
statusString! | |
locationIdString | |
locationStripeTerminalLocation |
StripeTerminalLocation
Fields
| Name | Description |
|---|---|
idString! | |
displayNameString! | |
addressCityString! | |
addressCountryString! | |
addressLine1String! | |
addressLine2String | |
addressPostalCodeString! | |
addressStateString! | |
terminalCountInt! |
SumUpAccount
Fields
| Name | Description |
|---|---|
merchantCodeString | |
hasPaymentsBoolean! |
Supporter
Fields
| Name | Description |
|---|---|
idInt! | |
archivedBoolean | |
codeString! | |
createDateDateTime! | |
imageString | |
businessNameString | |
firstNameString | |
lastNameString | |
fullNameString | |
supporterTypeSupporterType | |
emailString | |
phoneString | |
mobileString | |
sexSex | |
dateOfBirthDate | |
placeOfBirthString | |
ssnString | |
vatString | |
titleString | |
jobString | |
addressString | |
address2String | |
cityString | |
localityString | |
countryString | |
postalCodeString | |
certificationUrlString | |
privacyBoolean | |
emailMarketingBoolean | |
phoneMarketingBoolean | |
smsMarketingBoolean | |
postalMarketingBoolean | |
profilationMarketingBoolean | |
tags[String!]! | |
noteString | |
stripeCustomerIdString | |
customfields[CustomField!]! | |
privacyValues[SupporterPrivacyValue!]! | |
sourceCampaignCampaign | |
sourcePeerCampaignPeerCampaign | |
totalDonationsInt! | |
totalDonatedString! | |
averageDonationString! | |
lastOneoffDonationDonation | |
activeRegularDonations[Donation!]! | |
savedCards[StripeCard!]! |
SupporterConnection
Fields
| Name | Description |
|---|---|
pageInfoPageInfo! | |
edges[SupporterEdge!]! |
SupporterEdge
Fields
| Name | Description |
|---|---|
cursorString! | |
nodeSupporter! |
SupporterPrivacyValue
Fields
| Name | Description |
|---|---|
codeString! | |
labelString! | |
valueBoolean! | |
dateDateTime |
SupporterResponse
Fields
| Name | Description |
|---|---|
userErrors[UserError!] | |
supporterSupporter |
Task
Fields
| Name | Description |
|---|---|
taskIdString! |
User
Fields
| Name | Description |
|---|---|
idInt! | |
emailString! | |
nameString | |
verificationTokenString |
UserError
Fields
| Name | Description |
|---|---|
codeErrorCode! | |
fieldString | |
messageString |
Contenuto importato da https://dev.riseact.org/docs/graphql-references/objects il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia.
GraphQL - Enums
ActivityCategory
Values
| Value | Description |
|---|---|
| PHONE_CALL | |
| MEETING | |
| TODO | |
| REMINDER | |
| LETTER | |
ActivitySubject
Values
| Value | Description |
|---|---|
| SUPPORTER | |
| DONATION |
ApplicationType
Values
| Value | Description |
|---|---|
| ADMIN | |
| POD | |
| KIOSK | |
| CLI | |
| PARTNERS | |
| SITEFRONT | |
| INTERNAL | |
| PUBLIC | |
| PRIVATE |
BillingPlanType
Values
| Value | Description |
|---|---|
| DEVELOPMENT | |
| HERO | |
| TEAM | |
| GROW | |
| PAY_AS_YOU_GO | |
| PLATFORM | |
| MASTER |
CampaignCommentStatus
Values
| Value | Description |
|---|---|
| PENDING | |
| APPROVED | |
| REJECTED |
CampaignType
Values
| Value | Description |
|---|---|
| LEAD | |
| DONATION |
CheckoutState
Values
| Value | Description |
|---|---|
| OPEN | |
| CLOSED |
Currencies
Values
| Value | Description |
|---|---|
| EUR | |
| USD | |
| GBP |
CustomFieldEntity
Values
| Value | Description |
|---|---|
| SUPPORTER | |
| DONATION |
CustomFieldType
Values
| Value | Description |
|---|---|
| TEXT | |
| BOOLEAN | |
| SELECT |
DonationState
Values
| Value | Description |
|---|---|
| DRAFT | |
| PENDING | |
| ACTIVE | |
| PAST_DUE | |
| DONE | |
| REVOKED |
ErrorCode
Values
| Value | Description |
|---|---|
| BAD_INPUT | |
| NOT_FOUND | |
| NOT_UNIQUE | |
| PROTECTED |
ExportFormat
Values
| Value | Description |
|---|---|
| XLSX | |
| CSV |
Frequency
Values
| Value | Description |
|---|---|
| ONEOFF | |
| MONTHLY | |
| ANNUALLY |
MenuItemType
Values
| Value | Description |
|---|---|
| EXTERNAL | |
| HOMEPAGE | |
| PAGE | |
| ARTICLE | |
| BLOG | |
| CAMPAIGN | |
| PROJECT |
NotificationMethods
Values
| Value | Description |
|---|---|
| SMS |
OnboardingStatus
Values
| Value | Description |
|---|---|
| MISSING_DATA | |
| FREE_PLAN | |
| ACTIVE | |
| EXPIRED |
PaymentProcessor
Values
| Value | Description |
|---|---|
| MANUAL | |
| STRIPE | |
| PAYPAL | |
| SATISPAY | |
| SUMUP |
PaymentState
Values
| Value | Description |
|---|---|
| PENDING | |
| PAID | |
| REFUNDED | |
| FAILED |
ProjectCampaignsOrder
Values
| Value | Description |
|---|---|
| NEWER | |
| OLDER | |
| ALPHA_AZ | |
| ALPHA_ZA | |
| MANUAL |
ProjectRuleField
Values
| Value | Description |
|---|---|
| TAGS | |
| TITLE |
ProjectRuleMatchType
Values
| Value | Description |
|---|---|
| ANY | |
| ALL |
ProjectRuleOperator
Values
| Value | Description |
|---|---|
| EQUALS_TO | |
| NOT_EQUALS_TO | |
| CONTAINS | |
| NOT_CONTAINS | |
| STARTS_WITH | |
| ENDS_WITH |
ProjectType
Values
| Value | Description |
|---|---|
| MANUAL | |
| DYNAMIC |
SegmentEntity
Values
| Value | Description |
|---|---|
| SUPPORTER |
Sex
Values
| Value | Description |
|---|---|
| MALE | |
| FEMALE |
SexFilter
Values
| Value | Description |
|---|---|
| MALE | |
| FEMALE | |
| NOT_SPECIFIED |
StaffPermission
Values
| Value | Description |
|---|---|
| SUPPORTER_READ | |
| SUPPORTER_WRITE | |
| SUPPORTER_EXPORT | |
| DONATION_READ | |
| DONATION_WRITE | |
| DONATION_EXPORT | |
| PAYMENT_READ | |
| PAYMENT_WRITE | |
| CAMPAIGN_READ | |
| CAMPAIGN_WRITE | |
| PROJECT_READ | |
| PROJECT_WRITE | |
| ACTIVITY_READ | |
| ACTIVITY_WRITE | |
| REPORTS_READ | |
| APPLICATION_READ | |
| APPLICATION_INSTALL | |
| SITEFRONT_THEMES | |
| SITEFRONT_THEMES_CODE | |
| SITEFRONT_CONTENT | |
| SITEFRONT_NAVIGATION | |
| DBOX_READ | |
| DBOX_WRITE |
StaffRole
Values
| Value | Description |
|---|---|
| ADMIN | |
| USER |
StaffStatus
Values
| Value | Description |
|---|---|
| ACTIVE | |
| SUSPENDED | |
| DELETED |
StripeCardBrand
Values
| Value | Description |
|---|---|
| AMEX | |
| DINERS | |
| DISCOVER | |
| JCB | |
| MASTERCARD | |
| UNIONPAY | |
| VISA | |
| UNKNOWN |
StripeCardFunding
Values
| Value | Description |
|---|---|
| CREDIT | |
| DEBIT | |
| PREPAID | |
| UNKNOWN |
StripePaymentType
Values
| Value | Description |
|---|---|
| SEPA_DIRECT_DEBIT | |
| CREDIT_CARD | |
| POS |
SupporterBulkTagAction
Values
| Value | Description |
|---|---|
| ADD | |
| REMOVE |
SupporterType
Values
| Value | Description |
|---|---|
| INDIVIDUAL | |
| COMPANY | |
| ORGANIZATION | |
| FAMILY | |
| GROUP |
WebDocumentVisibility
Values
| Value | Description |
|---|---|
| UNPUBLISHED | |
| PUBLISHED | |
| ARCHIVED |
Contenuto importato da https://dev.riseact.org/docs/graphql-references/enums il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia.
GraphQL - Input objects
ActivityCreateInput
Arguments
| Name | Description |
|---|---|
subjectActivitySubject! | |
subjectIdInt! | |
categoryActivityCategory! | |
deadlineDateDate | |
doneDateDate | |
noteString | |
staffIdInt |
ActivityFilters
Arguments
| Name | Description |
|---|---|
qString | |
orderString | |
dueDateDateRange | |
userIdInt | |
supporterIdInt | |
donationIdInt |
ActivityUpdateInput
Arguments
| Name | Description |
|---|---|
categoryActivityCategory | |
deadlineDateDate | |
doneDateDate | |
noteString | |
staffIdInt |
ArticleInput
Arguments
| Name | Description |
|---|---|
titleString | |
contentString | |
visibilityWebDocumentVisibility | |
slugString | |
seoTitleString | |
seoDescriptionString | |
templateString | |
coverIdInt | |
blogIdInt |
ArticlesFiltersInput
Arguments
| Name | Description |
|---|---|
qString |
BlogInput
Arguments
| Name | Description |
|---|---|
titleString | |
contentString | |
visibilityWebDocumentVisibility | |
slugString | |
seoTitleString | |
seoDescriptionString | |
templateString | |
coverIdInt |
BlogsFiltersInput
Arguments
| Name | Description |
|---|---|
qString |
CampaignCommentCreateInput
Arguments
| Name | Description |
|---|---|
donationIdInt! | |
messageString! | |
statusCampaignCommentStatus! | |
publicBoolean! | |
anonymousBoolean! |
CampaignCommentsFilters
Arguments
| Name | Description |
|---|---|
qString | |
supporterIdInt | |
campaignIdInt | |
donationIdInt | |
statusCampaignCommentStatus |
CampaignCommentUpdateInput
Arguments
| Name | Description |
|---|---|
messageString | |
statusCampaignCommentStatus | |
publicBoolean | |
anonymousBoolean |
CampaignFilters
Arguments
| Name | Description |
|---|---|
qString | |
orderString | |
tags[String!] | |
tagsNot[String!] | |
channels[String!] | |
ids[Int!] | |
visibilityWebDocumentVisibility |
CampaignInput
Arguments
| Name | Description |
|---|---|
titleString | |
contentString | |
visibilityWebDocumentVisibility | |
slugString | |
seoTitleString | |
seoDescriptionString | |
templateString | |
thankyouTemplateString | |
receiptNotificationIdInt | |
coverIdInt | |
isGoalEnabledBoolean | |
codeString | |
goalFloat | |
typeCampaignType | |
tags[String!] | |
excludedChannels[Int!] | |
allowPeerToPeerBoolean | |
costExamples[CostExampleInput!] | |
hasOneOffBoolean | |
hasSubscriptionBoolean | |
hasSubscriptionCustomOptionsBoolean | |
defaultAmountFloat | |
minAmountFloat | |
maxAmountFloat | |
asks[Float!] | |
allowCustomAmountBoolean | |
defaultSubscriptionAmountFloat | |
minSubscriptionAmountFloat | |
maxSubscriptionAmountFloat | |
asksSubscription[Float!] | |
allowCustomSubscriptionAmountBoolean | |
shownFields[String!] | |
requiredFields[String!] | |
privacyFields[String!] | |
privacyNoteString |
CheckoutCompleteInput
Arguments
| Name | Description |
|---|---|
paymentMethodIdInt |
CheckoutFilters
Arguments
| Name | Description |
|---|---|
qString | |
stateCheckoutState | |
orderString | |
tags[String!] | |
tagsNot[String!] | |
createDateDateRange | |
updateDateDateRange | |
completedDateDateRange |
CheckoutInput
Arguments
| Name | Description |
|---|---|
campaignIdInt | |
supporterIdInt | |
costExampleQuantityInt | |
peerCampaignIdInt | |
amountFloat | |
frequencyFrequency | |
isPromiseBoolean | |
tags[String!] | |
paymentMethodIdInt | |
supporterDataSupporterInput | |
donationDataDonationInput | |
deviceString | |
applicationIdInt | |
applicationMetadataJSON |
CheckoutPaymentInput
Arguments
| Name | Description |
|---|---|
statePaymentState | |
amountFloat | |
paymentDateDateTime | |
donationIdInt | |
paymentMethodIdInt | |
peerCampaignIdInt | |
creditCardIdInt | |
sepaBankAccountIdInt | |
stripePaymentIntentIdString | |
satispayPaymentIntentIdString |
CostExampleInput
Arguments
| Name | Description |
|---|---|
uuidString! | |
nameString! | |
descriptionString! | |
amountFloat! | |
imageIdInt | |
monitorQuantityBoolean! | |
quantityInt! | |
availableQuantityInt! |
CustomFieldDefinitionCreateInput
Arguments
| Name | Description |
|---|---|
entityCustomFieldEntity! | |
nameString! | |
descriptionString | |
typeCustomFieldType! | |
positionInt | |
options[String!] |
CustomFieldDefinitionUpdateInput
Arguments
| Name | Description |
|---|---|
nameString | |
descriptionString | |
positionInt | |
options[String!] | |
archivedBoolean |
CustomFieldEntityFilter
Arguments
| Name | Description |
|---|---|
keyString! | |
valueString | |
definedBoolean |
CustomFieldFilters
Arguments
| Name | Description |
|---|---|
entityCustomFieldEntity | |
archivedBoolean |
CustomFieldInput
Arguments
| Name | Description |
|---|---|
keyString! | |
valueString |
DateRange
Arguments
| Name | Description |
|---|---|
startDate | |
endDate |
DateTimeRange
Arguments
| Name | Description |
|---|---|
startDateTime | |
endDateTime |
DonationDomain
Arguments
| Name | Description |
|---|---|
filtersDonationFiltersInput | |
ids[Int!] |
DonationFiltersInput
Arguments
| Name | Description |
|---|---|
qString | |
archivedBoolean | |
orderString | |
tags[String!] | |
tagsNot[String!] | |
createDateDateRange | |
createDatetimeDateTimeRange | |
updateDateDateRange | |
updateDatetimeDateRange | |
completedDateDateRange | |
completedDatetimeDateTimeRange | |
totalPaidIntRange | |
totalPaymentsIntRange | |
supporterTypeSupporterType | |
campaigns[Int!] | |
peerCampaigns[Int!] | |
supporters[Int!] | |
paymentMethods[Int!] | |
frequencies[Frequency!] | |
customfields[CustomFieldEntityFilter!] |
DonationInput
Arguments
| Name | Description |
|---|---|
amountFloat | |
frequencyFrequency | |
noteString | |
tags[String!] | |
deviceString | |
isPublicBoolean | |
customfields[CustomFieldInput!] |
DonationPaymentInput
Arguments
| Name | Description |
|---|---|
amountFloat | |
frequencyFrequency | |
paymentDateDateTime | |
paymentMethodIdInt |
IntRange
Arguments
| Name | Description |
|---|---|
startInt | |
endInt |
ManualPaymentInput
Arguments
| Name | Description |
|---|---|
amountFloat! | |
paymentDateDateTime! | |
paymentMethodIdInt |
ManualPaymentMethodInput
Arguments
| Name | Description |
|---|---|
labelString! | |
hasOneoffSupportBoolean | |
hasSubscriptionSupportBoolean | |
descriptionString | |
instructionsString | |
channels[Int!] | |
includeInCertificateBoolean |
MenuInput
Arguments
| Name | Description |
|---|---|
nameString! | |
handleString! | |
items[MenuItemInput!]! |
MenuItemInput
Arguments
| Name | Description |
|---|---|
labelString! | |
linkString |
OrganizationInput
Arguments
| Name | Description |
|---|---|
nameString! | |
logoInt | |
legalNameString | |
currencyCurrencies! | |
isInvoiceRequiredBoolean | |
vatString | |
vatExchangeString | |
taxIdentificationNumberString | |
senderEmailString | |
contactEmailString | |
contactPhoneString | |
addressLine1String | |
addressLine2String | |
cityString | |
stateString | |
countryString | |
postalCodeString | |
annualCertificateAutoSendBoolean | |
annualCertificateSendMonthInt | |
annualCertificateSendDayInt |
OrganizationLegalInput
Arguments
| Name | Description |
|---|---|
tosString! | |
privacyPolicyString! | |
consentScopes[String!]! |
OrganizationsFilters
Arguments
| Name | Description |
|---|---|
nameString |
PageInput
Arguments
| Name | Description |
|---|---|
titleString | |
contentString | |
visibilityWebDocumentVisibility | |
slugString | |
seoTitleString | |
seoDescriptionString | |
templateString | |
coverIdInt |
PagesFiltersInput
Arguments
| Name | Description |
|---|---|
qString |
PaginationInput
Arguments
| Name | Description |
|---|---|
firstInt | |
lastInt | |
afterString | |
beforeString |
PaymentDomain
Arguments
| Name | Description |
|---|---|
filtersPaymentFiltersInput | |
ids[Int!] |
PaymentFiltersInput
Arguments
| Name | Description |
|---|---|
qString | |
supporterInt | |
donationInt | |
paymentMethodInt | |
paymentDateDateRange | |
state[PaymentState!] | |
orderString | |
createDateDateRange | |
updateDateDateRange |
PeerCampaignFilters
Arguments
| Name | Description |
|---|---|
qString | |
ids[Int!] | |
orderString | |
tags[String!] | |
tagsNot[String!] | |
channels[String!] | |
supporterIdInt | |
campaignIdInt |
PeerCampaignInput
Arguments
| Name | Description |
|---|---|
supporterIdInt! | |
campaignIdInt! | |
titleString | |
contentString | |
visibilityWebDocumentVisibility | |
slugString | |
seoTitleString | |
seoDescriptionString | |
templateString | |
thankyouTemplateString | |
coverIdInt | |
isGoalEnabledBoolean | |
goalFloat | |
supporterNameString | |
customMessageString | |
receiptNotificationIdInt |
PrivacyDefinitionCreateInput
Arguments
| Name | Description |
|---|---|
codeString! | |
labelString! | |
messageString | |
isDefaultBoolean | |
isRequiredBoolean | |
consentScopes[String!] |
PrivacyDefinitionFilters
Arguments
| Name | Description |
|---|---|
codeString | |
labelString | |
isDefaultBoolean | |
isRequiredBoolean |
PrivacyDefinitionUpdateInput
Arguments
| Name | Description |
|---|---|
codeString | |
labelString | |
messageString | |
isDefaultBoolean | |
isRequiredBoolean | |
consentScopes[String!] |
ProjectFilters
Arguments
| Name | Description |
|---|---|
qString | |
orderString |
ProjectInput
Arguments
| Name | Description |
|---|---|
titleString! | |
contentString | |
visibilityWebDocumentVisibility | |
slugString | |
seoTitleString | |
seoDescriptionString | |
templateString | |
coverIdInt | |
typeProjectType | |
rulesMatchProjectRuleMatchType | |
campaignsOrderProjectCampaignsOrder | |
rules[ProjectRuleInput!] |
ProjectRuleInput
Arguments
| Name | Description |
|---|---|
fieldProjectRuleField! | |
operatorProjectRuleOperator! | |
valueString! | |
uuidString! |
RedirectInput
Arguments
| Name | Description |
|---|---|
sourcePathString! | |
destinationUrlString! |
RedirectsFiltersInput
Arguments
| Name | Description |
|---|---|
qString |
SegmentFiltersInput
Arguments
| Name | Description |
|---|---|
entitySegmentEntity! | |
qString | |
orderString |
SegmentInput
Arguments
| Name | Description |
|---|---|
nameString! | |
entitySegmentEntity! | |
filtersString! |
StripePaymentTypeInput
Arguments
| Name | Description |
|---|---|
types[StripePaymentType!]! |
SumUpAccountInput
Arguments
| Name | Description |
|---|---|
merchantCodeString |
SupporterDomain
Arguments
| Name | Description |
|---|---|
filtersSupporterFiltersInput | |
ids[Int!] |
SupporterFiltersInput
Arguments
| Name | Description |
|---|---|
qString | |
archivedBoolean | |
ids[Int!] | |
orderString | |
typeSupporterType | |
cityString | |
countryString | |
createDateDateRange | |
updateDateDateRange | |
sexSexFilter | |
campaigns[Int!] | |
firstDonationDateDateRange | |
lastDonationDateDateRange | |
totalDonatedIntRange | |
totalDonationsIntRange | |
peerCampaigns[Int!] | |
havePhoneBoolean | |
haveEmailBoolean | |
haveVatBoolean | |
haveSsnBoolean | |
dateOfBirthDateRange | |
placeOfBirthString | |
emailMarketingBoolean | |
phoneMarketingBoolean | |
smsMarketingBoolean | |
postalMarketingBoolean | |
profilationMarketingBoolean | |
privacyValues[String!] | |
tags[String!] | |
tagsNot[String!] | |
isOneoffSupporterBoolean | |
isRegularSupporterBoolean | |
emailString | |
ssnString | |
phoneString | |
customfields[CustomFieldEntityFilter!] | |
queryString |
SupporterInput
Arguments
| Name | Description |
|---|---|
businessNameString | |
firstNameString | |
lastNameString | |
titleString | |
externalRefString | |
supporterTypeSupporterType | |
emailString | |
phoneString | |
mobileString | |
jobString | |
sexSex | |
dateOfBirthDate | |
placeOfBirthString | |
ssnString | |
vatString | |
addressString | |
address2String | |
cityString | |
localityString | |
countryString | |
postalCodeString | |
emailMarketingBoolean | |
phoneMarketingBoolean | |
smsMarketingBoolean | |
postalMarketingBoolean | |
profilationMarketingBoolean | |
noteString | |
certificationUrlString | |
imageString | |
tags[String!] | |
customfields[CustomFieldInput!] | |
privacyValues[SupporterPrivacyInput!] | |
sourceCampaignIdInt | |
sourcePeerCampaignIdInt |
SupporterPrivacyInput
Arguments
| Name | Description |
|---|---|
codeString! | |
valueBoolean! | |
dateString |
TerminalLocationFilters
Arguments
| Name | Description |
|---|---|
qString |
TerminalLocationInput
Arguments
| Name | Description |
|---|---|
displayNameString! | |
addressCityString! | |
addressCountryString! | |
addressLine1String! | |
addressLine2String | |
addressPostalCodeString! | |
addressStateString! |
TerminalRegisterInput
Arguments
| Name | Description |
|---|---|
labelString! | |
registrationCodeString! | |
locationIdString! |
Contenuto importato da https://dev.riseact.org/docs/graphql-references/inputObjects il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia.
GraphQL - Scalars
Boolean
The Boolean scalar type represents true or false.
Date
Date (isoformat)
DateTime
Date with time (isoformat)
Float
The Float scalar type represents signed double-precision fractional values as specified by IEEE 754.
Int
The Int scalar type represents non-fractional signed whole numeric values. Int can represent values between -(2^31) and 2^31 - 1.
JSON
The JSON scalar type represents JSON values as specified by ECMA-404.
String
The String scalar type represents textual data, represented as UTF-8 character sequences. The String type is most often used by GraphQL to represent free-form human-readable text.
Upload
Void
Represents NULL values
Contenuto importato da https://dev.riseact.org/docs/graphql-references/scalars il 2026-04-23 durante la migrazione iniziale della KB Metadonors. Aggiornare se il sorgente cambia.